Skip to main content
GET
ListComments

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int64>

The maximum number of comments to return. Defaults to 50, max 1000.

pageToken
string

A page token, received from a previous ListComments call.

filter
string

A Common Expression Language (CEL) filter string. Available fields to filter by are comment_id, resource_id, entity_type, created_by_user_id, created_date, and modified_date.

orderBy
string

How to order the retrieved comments. Formatted as a comma-separated string i.e. "FIELD_NAME[ desc],...". Available fields to order_by are created_date and modified_date. Defaults to created_date ascending (oldest-first).

Response

A successful response.

The response of a call to CommentService_ListComments.

comments
object[]
nextPageToken
string